## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

DELETE

/
v0
/
data-asset
/
{id}

Try it

### Delete a data asset by id

**cURL**

```
curl --request DELETE \
  --url https://demo-api.gable.ai/v0/data-asset/{id} \
  --header 'X-API-KEY: <api-key>'
```

**Python**

```
import requests

url = "https://demo-api.gable.ai/v0/data-asset/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```
const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/data-asset/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```


```

### Response Codes
- `204`: Data asset deleted
- `400`: Bad Request
- `404`: Not Found
- `500`: Internal Server Error

### Response Structure
```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

### Authorizations

**X-API-KEY**  
Type: string  
Location: header  
Required

### Path Parameters

- `id`: string<uuid>  
  Required: UUID of the data asset
